Bug 1034523 - Review Request: sqlcli - a tool for running sql queries from the command line using sqlalchemy
Summary: Review Request: sqlcli - a tool for running sql queries from the command line...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-26 03:11 UTC by Lars Kellogg-Stedman
Modified: 2014-06-01 22:23 UTC (History)
5 users (show)

Fixed In Version: sqlcli-2-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-24 15:58:57 UTC
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lars Kellogg-Stedman 2013-11-26 03:11:38 UTC
Spec URL: https://github.com/larsks-packages/sqlcli/raw/master/sqlcli.spec
SRPM URL: https://github.com/larsks-packages/sqlcli/raw/review/sqlcli-1-1.fc19.src.rpm
Description: This is a tool that uses SQLAlchemy to execute SQL queries against a SQL database specified via a URL or an INI-style file.
Fedora Account System Username:lars@redhat.com

Comment 1 Lars Kellogg-Stedman 2013-11-26 03:15:10 UTC
Ugh, sorry, this is what I get for doing this too late in the evening.  Correcting the above information:

Fedora Account System Username: larsks

Comment 2 Christopher Meng 2013-11-26 03:16:26 UTC
1. URL: https://github.com/larsks/sqlcli/

2. BuildRequires:	python -->

BuildRequires:	python2-devel

3. %{python_sitelib} --> %{python2_sitelib}

4. Better give a version(tag) on github.

5. %install
> requirements.txt
python setup.py install --root=$RPM_BUILD_ROOT

-->

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}

6. %files section should be:

%doc README.md
%{_bindir}/sqlcli
%{python_sitelib}/sqlcli-1-py*.egg-info
%{python_sitelib}/sqlcli

7. No license file included as %doc.

Comment 3 Kashyap Chamarthy 2013-11-26 10:23:45 UTC
Yes, agreed with Christopher Meng's comments, please address them, some more comments below:

* The reasoning for s/python/python2 is here:

http://fedoraproject.org/wiki/Packaging:Python#Macros -- "The unversioned macro, %{__python} is deprecated. You should use %{__python2} to explicitly reference the python2 interpreter instead. This is future proofing for the time when things will be switched over to python3 by default instead of python2." 


* You need a sponsor (I notice you raised FE-NEEDSPONSOR). I'm not one. But I can review the package.

Just for reference: http://fedoraproject.org/wiki/How_to_sponsor_a_new_contributor


* And, here are a few rpmlint failures:
=========================
Rpmlint
-------
Checking: sqlcli-1-1.fc20.noarch.rpm
          sqlcli-1-1.fc20.src.rpm
sqlcli.noarch: W: summary-ended-with-dot C A SQL query utility.
sqlcli.noarch: W: invalid-license GPL
sqlcli.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/sqlcli/main.py 0644L /usr/bin/python
sqlcli.noarch: W: no-manual-page-for-binary sqlcli
sqlcli.src: W: summary-ended-with-dot C A SQL query utility.
sqlcli.src: W: invalid-license GPL
sqlcli.src: W: no-%build-section
2 packages and 0 specfiles checked; 1 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint sqlcli
sqlcli.noarch: W: summary-ended-with-dot C A SQL query utility.
sqlcli.noarch: W: invalid-license GPL
sqlcli.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/sqlcli/main.py 0644L /usr/bin/python
sqlcli.noarch: W: no-manual-page-for-binary sqlcli
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'
=========================

Comment 4 Lars Kellogg-Stedman 2013-11-26 14:43:08 UTC
Thanks for the comments!  You'll find an updated spec file (and SRPM) here:

  https://github.com/larsks-packages/sqlcli/tree/review/sqlcli-2-2

The direct links are:

- https://github.com/larsks-packages/sqlcli/raw/review/sqlcli-2-2/sqlcli.spec
- https://github.com/larsks-packages/sqlcli/raw/review/sqlcli-2-2/sqlcli-2-2.fc19.src.rpm

Validation:

$ rpmlint sqlcli.spec ../../RPMS/noarch/sqlcli-2-2.fc19.noarch.rpm sqlcli-2-2.fc19.src.rpm 
sqlcli.noarch: W: no-manual-page-for-binary sqlcli
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 5 Kashyap Chamarthy 2013-11-27 15:01:48 UTC
Koji scratch build successful:

$ koji build --scratch rawhide sqlcli-2-2.fc19.src.rpm 
Uploading srpm: sqlcli-2-2.fc19.src.rpm
[====================================] 100% 00:00:01  17.46 KiB  11.24 KiB/sec
Created task: 6232022
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6232022
Watching tasks (this may be safely interrupted)...
6232022 build (rawhide, sqlcli-2-2.fc19.src.rpm): open (arm04-builder13.arm.fedoraproject.org)
  6232023 buildArch (sqlcli-2-2.fc19.src.rpm, noarch): open (arm02-builder21.arm.fedoraproject.org)
  6232023 buildArch (sqlcli-2-2.fc19.src.rpm, noarch): open (arm02-builder21.arm.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
6232022 build (rawhide, sqlcli-2-2.fc19.src.rpm): open (arm04-builder13.arm.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

6232022 build (rawhide, sqlcli-2-2.fc19.src.rpm) completed successfully

Comment 6 Kashyap Chamarthy 2013-11-27 15:37:35 UTC
Couple more comments, I forgot to note these:

(1) s/GPLv3/GPLv3+

(2) LICENSE file not included

$ tree ../1034523-sqlcli/ | grep -i LICENSE
├── licensecheck.txt


(3) Also, rpmlint throws this to me:

Rpmlint (installed packages)
----------------------------
# rpmlint sqlcli
sqlcli.noarch: W: summary-ended-with-dot C A SQL query utility.
sqlcli.noarch: W: invalid-license GPL
sqlcli.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/sqlcli/main.py 0644L /usr/bin/python
sqlcli.noarch: W: no-manual-page-for-binary sqlcli
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'


Maybe, this could be useful: https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries


(4) Posting the review tool results here for the record, manual review upcoming:

$ fedora-review -m fedora-rawhide-x86_64 -b 1034523
[. . .]

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in
     /home/kashyap/rpmbuild/SRPMS/1034523-sqlcli/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sqlcli-2-2.fc20.noarch.rpm
          sqlcli-2-2.fc20.src.rpm
sqlcli.noarch: W: no-manual-page-for-binary sqlcli
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sqlcli
sqlcli.noarch: W: summary-ended-with-dot C A SQL query utility.
sqlcli.noarch: W: invalid-license GPL
sqlcli.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/sqlcli/main.py 0644L /usr/bin/python
sqlcli.noarch: W: no-manual-page-for-binary sqlcli
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
sqlcli (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-prettytable
    python-sqlalchemy
    python2



Provides
--------
sqlcli:
    sqlcli

Comment 7 Kashyap Chamarthy 2013-12-14 13:36:42 UTC
Lars, I'll finish manual review if you could address the points from Comment #6.

Comment 8 Lars Kellogg-Stedman 2013-12-16 16:13:25 UTC
Kashyap: As we had discussed on IRC, I think most of the points in comment #6 were addressed weeks ago.  Are you sure you're testing against the updated package sources? See comment #4; you'll note that rpmlint only throws the "sqlcli.noarch: W: no-manual-page-for-binary sqlcli" warning against this spec file.

Comment 9 Kashyap Chamarthy 2013-12-16 18:21:35 UTC
(In reply to Lars Kellogg-Stedman from comment #8)
> Kashyap: As we had discussed on IRC, I think most of the points in comment
> #6 were addressed weeks ago.  Are you sure you're testing against the
> updated package sources? See comment #4; you'll note that rpmlint only
> throws the "sqlcli.noarch: W: no-manual-page-for-binary sqlcli" warning
> against this spec file.


Lars, you're right - I incorrectly misremembered from our IRC conv. that there's something waiting on your side.

I just re-ran with explicit SPEC file:

  $ fedora-review --rpm-spec -n sqlcli-2-2.fc19.src.rpm


And, yes: 

$ grep "rpmlint\ sqlcli" /home/kashyap/rpmbuild/SRPMS/sqlcli/review.txt -A4
# rpmlint sqlcli
sqlcli.noarch: W: no-manual-page-for-binary sqlcli
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'


Will post the manual review, sorry for this delay.

Comment 10 Kashyap Chamarthy 2013-12-16 19:03:21 UTC
(In reply to Kashyap Chamarthy from comment #9)
> (In reply to Lars Kellogg-Stedman from comment #8)
> > Kashyap: As we had discussed on IRC, I think most of the points in comment
> > #6 were addressed weeks ago.  

I just remembered, assuming the below is the latest SPEC

  https://raw.github.com/larsks-packages/sqlcli/review/sqlcli-2-2/sqlcli.spec

these two points are still valid :)

  (1) s/GPLv3/GPLv3+   # This you agreed to on IRC, as an upstream author.

  (2) LICENSE file not included
====
$ ls sqlcli
BUILD      dependencies  licensecheck.txt  review-env.sh  rpmlint.txt    srpm           upstream
build.log  files.dir     results           review.txt     rpms-unpacked  srpm-unpacked  upstream-unpacked
$ tree sqlcli | grep LICENSE
$ echo $?
1
====

> Are you sure you're testing against the
> > updated package sources? See comment #4; you'll note that rpmlint only
> > throws the "sqlcli.noarch: W: no-manual-page-for-binary sqlcli" warning
> > against this spec file.
> 
> 
> Lars, you're right - I incorrectly misremembered from our IRC conv. that
> there's something waiting on your side.
> 
> I just re-ran with explicit SPEC file:
> 
>   $ fedora-review --rpm-spec -n sqlcli-2-2.fc19.src.rpm
> 
> 
> And, yes: 
> 
> $ grep "rpmlint\ sqlcli" /home/kashyap/rpmbuild/SRPMS/sqlcli/review.txt -A4
> # rpmlint sqlcli
> sqlcli.noarch: W: no-manual-page-for-binary sqlcli
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> # echo 'rpmlint-done:'
> 
> 
> Will post the manual review, sorry for this delay.

Comment 11 Lars Kellogg-Stedman 2013-12-16 19:06:17 UTC
Kashyap: my bad, I had uncomitted changes in my local tree.  Please see:

  https://github.com/larsks-packages/sqlcli/tree/review/sqlcli-2-3

Including:

- spec file: https://raw.github.com/larsks-packages/sqlcli/review/sqlcli-2-3/sqlcli.spec
- source rpm: https://github.com/larsks-packages/sqlcli/raw/review/sqlcli-2-3/sqlcli-2-3.fc19.src.rpm

Comment 12 Kashyap Chamarthy 2013-12-16 19:45:15 UTC
TL;DR: Looks good; scratch build successful. Approved - from a package review perspective.

However: I'm not a sponsor, you need to wait someone to sponsor you for Fedora package collection.

Long:

1. Manual Review
~~~~~~~~~~~~~~~~

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
	- GPLv3+
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     ===
     $ fedora-review --rpm-spec -n sqlcli-2-3.fc19.src.rpm
     $ cd sqlcli
     $ tree | grep COPYING
     │                       ├── COPYING

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/kashyap/rpmbuild/SRPMS/sqlcli/licensecheck.txt
	- 
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines

Python:
[x]: Python eggs must not download any dependencies during the build process.

    $ cat ./rpms-unpacked/sqlcli-2-3.fc18.noarch.rpm/usr/lib/python2.7/site-packages/sqlcli-1-py2.7.egg-info/dependency_links.txt 

[x]: A package which is used by another package via an egg interface should
     provide egg info.
    ====
    $ tree ./rpms-unpacked/sqlcli-2-3.fc18.noarch.rpm/usr/lib/python2.7/site-packages/sqlcli-1-py2.7.egg-info
    ./rpms-unpacked/sqlcli-2-3.fc18.noarch.rpm/usr/lib/python2.7/site-packages/sqlcli-1-py2.7.egg-info
    ├── dependency_links.txt
    ├── entry_points.txt
    ├── PKG-INFO
    ├── requires.txt
    ├── SOURCES.txt
    └── top_level.txt
    ====
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.


2. Scratch build
~~~~~~~~~~~~~~~~

With latest SRPM, successful:

kashyap@SRPMS$ koji build --scratch f21 sqlcli-2-3.fc19.src.rpm 
Uploading srpm: sqlcli-2-3.fc19.src.rpm
[====================================] 100% 00:00:01  17.65 KiB  16.16 KiB/sec
Created task: 6301871
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6301871
Watching tasks (this may be safely interrupted)...
6301871 build (f21, sqlcli-2-3.fc19.src.rpm): free
6301871 build (f21, sqlcli-2-3.fc19.src.rpm): free -> open (buildvm-21.phx2.fedoraproject.org)
  6301872 buildArch (sqlcli-2-3.fc19.src.rpm, noarch): open (buildvm-01.phx2.fedoraproject.org)
  6301872 buildArch (sqlcli-2-3.fc19.src.rpm, noarch): open (buildvm-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
6301871 build (f21, sqlcli-2-3.fc19.src.rpm): open (buildvm-21.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

6301871 build (f21, sqlcli-2-3.fc19.src.rpm) completed successfully
kashyap@SRPMS$

Comment 13 Björn 'besser82' Esser 2013-12-16 20:28:10 UTC
I've reviewed this package as a sponsor and came to the same result as Kashyap Chamarthy.  So I'm going to sponsor you.  But please make sure your FAS-email and your rhbz-email are the same / in sync:

'lars@oddbit.com,' != 'lars@redhat.com'

You may have problems with privilegs on rhbz otherwise...

Comment 14 Lars Kellogg-Stedman 2013-12-16 20:45:41 UTC
Thanks. I've fixed the email address in FAS.  As I understand it my next step is to follow the "New Packages" section of https://fedoraproject.org/wiki/Package_SCM_admin_requests.

Comment 15 Björn 'besser82' Esser 2013-12-16 21:01:31 UTC
Yes, that would be the correct procedure.  Please add me "besser82" to `InitialCC:` then.  :D

Comment 16 Lars Kellogg-Stedman 2013-12-16 21:14:16 UTC
New Package SCM Request
=======================
Package Name: sqlcli
Short Description: A command-line SQL query utility
Owners: larsks
Branches: f18 f19 f20 el6
InitialCC: besser82

Comment 17 Gwyn Ciesla 2013-12-17 13:03:11 UTC
Git done (by process-git-requests).

No new branches for f18 are being created.

Comment 18 Fedora Update System 2013-12-18 15:28:59 UTC
sqlcli-2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sqlcli-2-3.el6

Comment 19 Fedora Update System 2013-12-18 15:30:15 UTC
sqlcli-2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sqlcli-2-3.fc19

Comment 20 Fedora Update System 2014-01-10 01:09:53 UTC
sqlcli-2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 21 Fedora Update System 2014-01-11 08:30:57 UTC
sqlcli-2-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 22 Parag AN(पराग) 2014-03-07 06:19:26 UTC
any updates on this bug? This is still open? Looks like bodhi failed to close this automatically.

Comment 23 Kashyap Chamarthy 2014-03-09 15:39:26 UTC
Parag, do you know what's missing here and why is Bodhi failing to close this automatically?

Comment 24 Parag AN(पराग) 2014-03-10 02:59:04 UTC
#fedora-admin is the place where we can get the reason behind this. But I have seen sometimes it happens if bodhi/bugzilla starts acting weird then it failed to send/receive notification on bug.

Comment 25 Björn 'besser82' Esser 2014-04-18 12:11:21 UTC
According to koji [1] this has been built for el6, fc19, fc20 and rawhide, but there has never been an update for F20?!?  Koji has trashed the build for fc20 already.  According to Bodhi [2] there was no update submitted for fc20.  Please rebuild and push an update for fc20 && rawhide, because otherwise there will be problems with the upgrade-path from fc19 to fc20, because of a missing package...

[1] https://koji.fedoraproject.org/koji/packageinfo?packageID=17489
[2] https://admin.fedoraproject.org/updates/search/sqlcli

Comment 26 Fedora Update System 2014-05-24 15:48:54 UTC
sqlcli-2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sqlcli-2-4.fc20

Comment 27 Fedora Update System 2014-06-01 22:23:54 UTC
sqlcli-2-4.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.